Ask Your Question
0

Errors on catkin_make

asked 2017-04-07 10:06:23 -0500

chri_io gravatar image

updated 2017-04-07 10:28:19 -0500

Hello.

i'm trying to built some package in catkin_ws but the catkin_make gives me the following errors:

FAILURE: Build failed with an exception.

  • What went wrong: A problem occurred configuring root project 'nao_writing_android_nodes'.

    Could not resolve all dependencies for configuration ':classpath'. Could not find org.apache.commons:com.springsource.org.apache.commons.codec:1.3.0. Required by: :nao_writing_android_nodes:unspecified > org.ros.rosjava_messages:trajectory_msgs:1.10.6 > org.ros.rosjava_bootstrap:message_generation:0.3.0 Could not find org.apache.commons:com.springsource.org.apache.commons.io:1.4.0. Required by: :nao_writing_android_nodes:unspecified > org.ros.rosjava_messages:trajectory_msgs:1.10.6 > org.ros.rosjava_bootstrap:message_generation:0.3.0 Could not find org.apache.commons:com.springsource.org.apache.commons.lang:2.4.0. Required by: :nao_writing_android_nodes:unspecified > org.ros.rosjava_messages:trajectory_msgs:1.10.6 > org.ros.rosjava_bootstrap:message_generation:0.3.0

  • Try: Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. make[2]: * [nao_writing/nao_writing_android_nodes/CMakeFiles/gradle-nao_writing_android_nodes] Error 1 make[1]: [nao_writing/nao_writing_android_nodes/CMakeFiles/gradle-nao_writing_android_nodes.dir/all] Error 2 make: ** [all] Error 2 Invoking "make -j1" failed

What can i do to fix them??

Thank you

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
1

answered 2017-04-07 15:59:03 -0500

FLYINGKNIGHT gravatar image

Hi there,

did you try to resolve your dependencies? The command

rosdep install --from-paths ~/your-workspace/src --ignore-src

will try to resolve the dependencies of your packages. Then try again with

catkin_make

I hope that it will work for you.

edit flag offensive delete link more

Comments

Hello.

thank you for your answer. I get the following error:

ERROR: the following packages/stacks could not have their rosdep keys resolved to system dependencies: ros_markers: Cannot locate rosdep definition for [OpenCV]

What is the problem now?

thank you

chri_io gravatar imagechri_io ( 2017-04-09 06:46:52 -0500 )edit

It seems like the package ros_markers does not provide the 'rosdep keys'. So rosdep can't resolve the dependencies for this package. Plz take a look at the rosdep command reference http://docs.ros.org/independent/api/r... . You could try to exclude the package from rosdep.

FLYINGKNIGHT gravatar imageFLYINGKNIGHT ( 2017-04-11 00:16:22 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2017-04-07 10:06:23 -0500

Seen: 211 times

Last updated: Apr 07 '17